* {
  box-sizing: border-box;
}
.head-1 {
  background: linear-gradient(
    90deg,
    #ff4d4d,
    /* çilek */ #ff9f1c,
    /* portakal */ #2ec4b6,
    /* kivi */ #7bd389 /* elma */
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.product-desc {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* en fazla 2 satır */
  -webkit-box-orient: vertical;
  overflow: hidden;

  min-height: 2.8em; /* 2 satırlık sabit alan */
  line-height: 1.4em;

  text-overflow: ellipsis;
  font-size: 12px !important;
}
.product-title-desc {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;

  min-height: 1.4em;
  line-height: 1.4em;

  text-overflow: ellipsis;
  font-size: 20px;
}
.product-carousel .owl-nav {
  position: absolute;
  top: 30%;
  width: 100%;
  transform: translateY(-50%);
  display: flex;
  justify-content: space-between;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.product-carousel:hover .owl-nav {
  opacity: 1;
}
.product-carousel .owl-nav button {
  position: relative;
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  pointer-events: all;
  background: #333 !important;
  color: #fff !important;
  width: 45px;
  height: 45px;
  border-radius: 50% !important;
  font-size: 20px !important;
  border: solid white 5px !important;
}

.product-carousel .owl-nav button:hover {
  background: #545353 !important; /* bootstrap light */
}

/* Sol ok */
.product-carousel .owl-nav .owl-prev {
  position: absolute;
  left: 0;
  top: 50%;
  transform: translate(-50%, -50%);
}

/* Sağ ok */
.product-carousel .owl-nav .owl-next {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(+50%, -50%);
}
.product-carousel .card img {
  width: 100%;
  height: 170px;
}

.product-carousel .card {
  position: relative;
  margin-top: 40px;
}
.product-carousel .card .product-badge {
  position: absolute;
  top: 0;
  left: 0;
  transform: translateY(-50%);
  font-size: 14px;
  padding-left: 5px;
  padding-right: 20px;
}
.product-carousel .card .product-discount {
  background-color: red;
  text-align: center;
  align-self: stretch;
  border-radius: 5px;
  color: white;
}

.price {
  font-size: 16px;
  height: 50px;
}

.new-price {
  font-size: 20px;
}

.product-carousel .card .shoping div a {
  color: black;
}
.product-carousel .card .shoping div a:hover {
  background-color: black !important;
  color: white;
}

.product-carousel .card .my-card-image {
  position: relative;
  overflow: hidden;
}
.product-carousel .card .my-card-image i {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 30px;
  color: rgb(255, 193, 7);
  opacity: 0;
}
.product-carousel .card .my-card-image a {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.product-carousel .card .my-card-image:hover {
  cursor: pointer;
}
.product-carousel .card .my-card-image:hover i {
  opacity: 1;
  transition: opacity 0.3s ease;
}
.product-carousel .card .my-card-image::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #333;
  opacity: 0;
  transition: opacity 0.3s ease;
}
.product-carousel .card .my-card-image:hover::before {
  opacity: 0.4;
}
.product-carousel .card {
  margin-bottom: 10px;
}
/* kategori */
.carousel-category {
  overflow: hidden;
  width: 100%;
  cursor: grab;
  touch-action: pan-y;
}
.carousel-category .track a {
  text-decoration: none;
  color: black;
}
.carousel-category:active {
  cursor: grabbing;
}

.track {
  display: flex;
  gap: 16px;
  transition: none;
  will-change: transform;
}

.carousel-category .item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.carousel-category .item img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}
.carousel-category .item h5 {
  max-width: 150px;
  text-align: center;
  margin-top: 10px;
  font-size: 16px;
}

.logo img {
  width: 150px;
  height: 100px;
}
.top-bar-icons a {
  text-decoration: none;
  border-radius: 5px;
  color: white;
}
.top-bar-icons .topbar-sign:hover a {
  color: #982598 !important;
}
.top-bar-icons .topbar-heart:hover span {
  color: #982598 !important;
}
.top-bar-icons .topbar-shopping:hover :is(span, i) {
  color: #982598 !important;
}
/* topbar sm */

.topbar-sm .compartment {
  width: 33.333%;
}
.topbar-sm .compartment i:hover {
  cursor: pointer;
}

.topbar-sm .entry {
  position: relative;
}
.topbar-sm .entry .sign-btn {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  z-index: 3;
  background-color: white;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 10px;
  padding: 10px 15px;
}
.topbar-sm .entry .sign-btn .btn {
  white-space: nowrap;
}
.topbar-sm .entry .sign-btn .log-in {
  background-color: rgb(242, 122, 26);
  padding: 5px 40px;
}
.topbar-sm .entry .sign-btn .sign-up {
  border: solid 1px rgba(0, 0, 0, 0.15);
  padding: 5px 40px;
}
.topbar-sm .entry .sign-btn .log-in:hover {
  background-color: rgb(242, 122, 26, 0.8);
}
.topbar-sm .entry .sign-btn .sign-up:hover {
  color: rgb(242, 122, 26);
  border-color: rgb(242, 122, 26);
}

.my-navbar a {
  text-decoration: none;
  color: black;
  font-size: 25px;
}
.my-navbar {
  flex-wrap: wrap-reverse;
}
.my-navbar .navbar-links {
  flex-wrap: nowrap;
  width: 80%;
}
.my-navbar .navbar-links a {
  align-self: stretch;
  display: flex;
  align-items: center;
  justify-content: center;
}

.my-navbar .navbar-search {
  width: 20%;
}

.vertical-hr {
  width: 1px;
  align-self: stretch;
  background-color: #333;
  border: none;
}

/* dropdown */
.navbar-container {
  position: relative;
  padding: 0;
}
.my-dropdown-1 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 2;
}
.my-dropdown-2 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 2;
}
.my-dropdown-3 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 2;
}
.my-dropdown-4 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 2;
}
.my-dropdown-5 {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  z-index: 2;
}
.category-menu li {
  background-color: transparent;
  border: none;
  padding: 0 5px;
}
.category-menu a {
  text-decoration: none;
  color: white;
}
.category-menu a:hover {
  text-decoration: underline;
  color: beige;
}
/* slider */

.grid-wrap {
  display: grid;
  grid-template-areas:
    "slider slider-category-1"
    "slider slider-category-2"
    "slider slider-category-3";

  grid-template-columns: 2fr 1fr;
  gap: 10px;
}
.slider {
  grid-area: slider;
}
.slider-category-1 {
  grid-area: slider-category-1;
}
.slider-category-2 {
  grid-area: slider-category-2;
}
.slider-category-3 {
  grid-area: slider-category-3;
}
.slider-categories {
  height: 150px;
}
.slider-categories a {
  width: 100%;
  height: 100%;
}
.slider-categories img {
  width: 100%;
  height: 100%;
}
.carousel-inner,
.carousel-item,
.carousel-item img {
  height: 100%;
}
/* product show */

@media (max-width: 430px) {
  .slider-categories {
    width: 100%;
  }
  .price {
    font-size: 10px;
    height: 20px;
  }
  .new-price {
    font-size: 14px;
  }
  .product-title-desc {
    font-size: 14px !important;
    margin-bottom: 15px;
  }
}
@media (min-width: 430px) and (max-width: 576px) {
  .slider-categories {
    width: 60%;
    margin-left: auto;
    margin-right: auto;
  }
  .price {
    font-size: 12px;
    height: 25px;
  }
  .new-price {
    font-size: 14px;
  }
  .product-title-desc {
    font-size: 14px;
  }
}
@media (max-width: 576px) {
  .logo img {
    width: 100px;
    height: 66.6px;
  }
  .product-carousel .card img {
    height: 175px;
  }
  .product-carousel .card .product-discount {
    font-size: 10px;
  }
  .product-carousel .owl-nav button {
    display: none !important;
  }
  .product-carousel .card .card-body .card-title {
    font-size: 16px;
  }
  .product-carousel .card .card-body .product-desc {
    display: none;
  }
  .carousel-category .item img {
    width: 80px;
    height: 80px;
  }
  .carousel-category .item h5 {
    max-width: 80px;
    margin-top: 5px;
    font-size: 10px;
  }
  .product-carousel .card .shoping div a {
    font-size: 10px;
  }

  .grid-wrap {
    grid-template-areas:
      "slider"
      "slider-category-1"
      "slider-category-2"
      "slider-category-3";

    grid-template-columns: 1fr;
  }
  .carousel-inner,
  .carousel-item,
  .carousel-item img {
    min-height: 250px;
  }
  .topbar-sm {
    justify-content: space-between;
  }
  .topbar-sm .compartment {
    width: auto;
  }
  .topbar-sm .compartment img {
    width: 100px;
    height: 75px;
  }
}
@media (min-width: 576px) and (max-width: 767px) {
  .carousel-category .item img {
    width: 120px;
    height: 120px;
  }
  .carousel-category .item h5 {
    max-width: 120px;
    margin-top: 7px;
    font-size: 14px;
  }
  .grid-wrap {
    grid-template-areas:
      "slider slider slider"
      "slider-category-1 slider-category-2 slider-category-3";
    grid-template-columns: 1fr 1fr 1fr;
  }
  .price {
    font-size: 12px;
    height: 25px;
  }
  .new-price {
    font-size: 14px;
  }
  .product-title-desc {
    font-size: 16px;
  }
}
@media (min-width: 767px) and (max-width: 991px) {
  .carousel-category .item img {
    width: 140px;
    height: 140px;
  }
  .carousel-category .item h5 {
    max-width: 140px;
    margin-top: 9px;
    font-size: 16px;
  }
  .grid-wrap {
    grid-template-areas:
      "slider slider slider"
      "slider-category-1 slider-category-2 slider-category-3";
    grid-template-columns: 1fr 1fr 1fr;
  }
  .price {
    font-size: 12px;
    height: 30px;
  }
  .new-price {
    font-size: 14px;
  }
  .product-title-desc {
    font-size: 16px;
  }
}
@media (min-width: 991px) and (max-width: 1200px) {
  .my-navbar .navbar-links {
    width: 100%;
  }
  .price {
    font-size: 14px;
    height: 40px;
  }
  .new-price {
    font-size: 16px;
  }
  .product-title-desc {
    font-size: 16px;
  }
}
@media (max-width: 1200px) {
  .my-navbar .navbar-search {
    width: 100%;
  }
  .my-navbar .navbar-search .input-group {
    width: 75%;
  }
}
